Retrieve all resources created within the specified date range.

Use this endpoint to retrieve all resources that was created within the date range specified.
User roles: admin, manager, editor, viewer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time

Provide the date and time of when the resource was created. Resources that were created on or after this date and time are returned. The date value must be in the ISO 8601 format YYYY-MM-DD T hh:mm:ss:sssZ. Note: when reversing the order you do not switch start and end.

date-time

Provide the date and time of when the resource was created. Resources that were created on or before this date and time are returned. The date value must be in the ISO 8601 format YYYY-MM-DD T hh:mm:ss:sssZ. Note: when reversing the order you do not switch start and end.

string

If start does not uniquely identify the result to start from, you can specify the UUID of the result as startId. Note: when reversing the order you do not switch start and end ids.

string

If end does not uniquely identify the result to end at, you can specify the UUID of the result as endId. Note: when reversing the order you do not switch start and end ids.

number

Set the limit for the maximum number of resource items to return in a single result. The default value is 50. You can pass 0 to unset the limit and stream all available results. A streaming parser can be avoided with format=sequence.

string
enum

Specify the result format.

  • feed - (default) returns a wrapper with links
  • array - returns just the array of results
  • sequence - each result is a separate JSON document on a new line
Allowed:
number

Use the offset parameter to specify the number of resource items to skip from the beginning of the list and return the rest. Note: large offsets perform poorly. Use start keys to index into large result sets. Also see pageMode.

string
enum

Specify the next and previous page link mode.

  • offset - (default) allows paging forward or backwards, but only a small number of times
  • deep - uses index keys to efficiently page through a large result set, but only in one direction
Allowed:
string
enum

Specify the order of the results.

  • ascending - (default) result keys are increasing
  • descending - result keys are decreasing

It is not necessary to switch the start and end keys and ids when reversing the order.

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json